package org.dromara.settlement.api.domain.auth;

import java.io.Serializable;

/**
 * 银行信息
 * @author 张涛
 * @date 2021年8月17日
 */
public class BankInfo implements Serializable{
	/**
	 *
	 */
	private static final long serialVersionUID = 2373994781794561985L;

	private Integer bin_digits;//银行卡bin码长度
    private String city;//银行卡开户市
    private String type;//银行卡类型
    private String abbreviation;//银联支付网关简码
    private String bank;//银行名称
    private String province;//银行卡开户省
    private Integer card_digits;//银行卡号长度
    private String weburl;//银行官方网站
    private String card_name;//银行卡名称
    private String logo;//银行logo
    private String tel;//银行官方客服电话
    private String isLuhn;//是否支持luhn校验 true-校验成功 false-校验失败
    private String card_bin;//银行卡bin码
	public Integer getBin_digits() {
		return bin_digits;
	}
	public void setBin_digits(Integer bin_digits) {
		this.bin_digits = bin_digits;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getAbbreviation() {
		return abbreviation;
	}
	public void setAbbreviation(String abbreviation) {
		this.abbreviation = abbreviation;
	}
	public String getBank() {
		return bank;
	}
	public void setBank(String bank) {
		this.bank = bank;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public Integer getCard_digits() {
		return card_digits;
	}
	public void setCard_digits(Integer card_digits) {
		this.card_digits = card_digits;
	}
	public String getWeburl() {
		return weburl;
	}
	public void setWeburl(String weburl) {
		this.weburl = weburl;
	}
	public String getCard_name() {
		return card_name;
	}
	public void setCard_name(String card_name) {
		this.card_name = card_name;
	}
	public String getLogo() {
		return logo;
	}
	public void setLogo(String logo) {
		this.logo = logo;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	public String getIsLuhn() {
		return isLuhn;
	}
	public void setIsLuhn(String isLuhn) {
		this.isLuhn = isLuhn;
	}
	public String getCard_bin() {
		return card_bin;
	}
	public void setCard_bin(String card_bin) {
		this.card_bin = card_bin;
	}


}
